org.apache.maven.shared.io.download

## Class DefaultDownloadManager

- java.lang.Object
- - org.apache.maven.shared.io.download.DefaultDownloadManager

All Implemented Interfaces:
  DownloadManager

    public class DefaultDownloadManager
    extends Object
    implements DownloadManager

The Implementation of the `DownloadManager`

### Field Summary

Fields
`static String` `ROLE_HINT` Role hint.

### Fields inherited from interface org.apache.maven.shared.io.download.DownloadManager

`ROLE`

### Constructor Summary

Constructors
Constructor and Description
`DefaultDownloadManager()` Create an instance of the `DefaultDownloadManager`.
`DefaultDownloadManager(org.apache.maven.artifact.manager.WagonManager wagonManager)`

### Method Summary

All Methods Instance Methods Concrete Methods
`File` `download(String url, List<org.apache.maven.wagon.events.TransferListener> transferListeners, MessageHolder messageHolder)`
`File` `download(String url, MessageHolder messageHolder)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### ROLE_HINT

    public static final String ROLE_HINT

Role hint.

See Also:
  Constant Field Values

### Constructor Detail

#### DefaultDownloadManager

    public DefaultDownloadManager()

Create an instance of the `DefaultDownloadManager`.

#### DefaultDownloadManager

    public DefaultDownloadManager(org.apache.maven.artifact.manager.WagonManager wagonManager)

Parameters:
  `wagonManager` - `WagonManager`

### Method Detail

#### download

    public File download(String url,
                         MessageHolder messageHolder)
                  throws DownloadFailedException

Specified by:
  `download` in interface `DownloadManager`
Parameters:
  `url` - The URL.
  `messageHolder` - `MessageHolder`
Returns:
  `File`
Throws:
  `DownloadFailedException` - in case of exception.

#### download

    public File download(String url,
                         List<org.apache.maven.wagon.events.TransferListener> transferListeners,
                         MessageHolder messageHolder)
                  throws DownloadFailedException

Specified by:
  `download` in interface `DownloadManager`
Parameters:
  `url` - The URL.
  `transferListeners` - `TransferListener`
  `messageHolder` - `MessageHolder`
Returns:
  `File`
Throws:
  `DownloadFailedException` - in case of exception.